<!DOCTYPE html>
<!--
 | Generated by Apache Maven Doxia Site Renderer 1.11.1 at 2022-05-26

 | Rendered using Apache Maven Default Skin
-->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="es" lang="es">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="generator" content="Apache Maven Doxia Site Renderer 1.11.1" />
    <title>Surefire Report</title>
    <link rel="stylesheet" href="./css/maven-base.css" />
    <link rel="stylesheet" href="./css/maven-theme.css" />
    <link rel="stylesheet" href="./css/site.css" />
    <link rel="stylesheet" href="./css/print.css" media="print" />
  </head>
  <body class="composite">
    <div id="banner">
      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="breadcrumbs">
      <div class="xleft">
        <span id="publishDate">Publicado el: 2022-05-26</span>
           | <span id="projectVersion">Versión: 2.1.22.4</span>
      </div>
      <div class="xright">      </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="leftColumn">
      <div id="navcolumn">
      <a href="http://maven.apache.org/" title="Generado por Maven" class="poweredBy">
        <img class="poweredBy" alt="Generado por Maven" src="./images/logos/maven-feather.png" />
      </a>
      </div>
    </div>
    <div id="bodyColumn">
      <div id="contentBox">
<script type="application/javascript">
//<![CDATA[
function toggleDisplay(elementId) {
 var elm = document.getElementById(elementId + '-error');
 if (elm == null) {
  elm = document.getElementById(elementId + '-failure');
 }
 if (elm && typeof elm.style != "undefined") {
  if (elm.style.display == "none") {
   elm.style.display = "";
   document.getElementById(elementId + '-off').style.display = "none";
   document.getElementById(elementId + '-on').style.display = "inline";
  } else if (elm.style.display == "") {   elm.style.display = "none";
   document.getElementById(elementId + '-off').style.display = "inline";
   document.getElementById(elementId + '-on').style.display = "none";
  } 
 } 
 }
//]]>
</script><section>
<h2><a name="Surefire_Report"></a>Surefire Report</h2></section><section>
<h2><a name="Summary"></a>Summary</h2><a name="Summary"></a>
<p>[<a href="#Summary">Summary</a>] [<a href="#Package_List">Package List</a>] [<a href="#Test_Cases">Test Cases</a>]</p><br />
<table border="1" class="bodyTable">
<tr class="a">
<th>Tests</th>
<th>Errors</th>
<th>Failures</th>
<th>Skipped</th>
<th>Success Rate</th>
<th>Time</th></tr>
<tr class="b">
<td align="left">17</td>
<td align="left">0</td>
<td align="left">0</td>
<td align="left">0</td>
<td align="left">100%</td>
<td align="left">6.865</td></tr></table><br />
<p>Note: failures are anticipated and checked for with assertions while errors are unanticipated.</p><br /></section><section>
<h2><a name="Package_List"></a>Package List</h2><a name="Package_List"></a>
<p>[<a href="#Summary">Summary</a>] [<a href="#Package_List">Package List</a>] [<a href="#Test_Cases">Test Cases</a>]</p><br />
<table border="1" class="bodyTable">
<tr class="a">
<th>Package</th>
<th>Tests</th>
<th>Errors</th>
<th>Failures</th>
<th>Skipped</th>
<th>Success Rate</th>
<th>Time</th></tr>
<tr class="b">
<td align="left"><a href="#mx.com.enginecore.gestiona.rolesservice.controller">mx.com.enginecore.gestiona.rolesservice.controller</a></td>
<td align="left">8</td>
<td align="left">0</td>
<td align="left">0</td>
<td align="left">0</td>
<td align="left">100%</td>
<td align="left">2.776</td></tr>
<tr class="a">
<td align="left"><a href="#mx.com.enginecore.gestiona.rolesservice.service.impl">mx.com.enginecore.gestiona.rolesservice.service.impl</a></td>
<td align="left">8</td>
<td align="left">0</td>
<td align="left">0</td>
<td align="left">0</td>
<td align="left">100%</td>
<td align="left">0.558</td></tr>
<tr class="b">
<td align="left"><a href="#mx.com.enginecore.gestiona.rolesservice">mx.com.enginecore.gestiona.rolesservice</a></td>
<td align="left">1</td>
<td align="left">0</td>
<td align="left">0</td>
<td align="left">0</td>
<td align="left">100%</td>
<td align="left">3.531</td></tr></table><br />
<p>Note: package statistics are not computed recursively, they only sum up all of its testsuites numbers.</p><section>
<h3><a name="mx.com.enginecore.gestiona.rolesservice.controller"></a>mx.com.enginecore.gestiona.rolesservice.controller</h3><a name="mx.com.enginecore.gestiona.rolesservice.controller"></a>
<table border="1" class="bodyTable">
<tr class="a">
<th></th>
<th>Class</th>
<th>Tests</th>
<th>Errors</th>
<th>Failures</th>
<th>Skipped</th>
<th>Success Rate</th>
<th>Time</th></tr>
<tr class="b">
<td align="left"><a href="#mx.com.enginecore.gestiona.rolesservice.controller.RolControllerTest"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></a></td>
<td align="left"><a href="#mx.com.enginecore.gestiona.rolesservice.controller.RolControllerTest">RolControllerTest</a></td>
<td align="left">8</td>
<td align="left">0</td>
<td align="left">0</td>
<td align="left">0</td>
<td align="left">100%</td>
<td align="left">2.776</td></tr></table></section><section>
<h3><a name="mx.com.enginecore.gestiona.rolesservice.service.impl"></a>mx.com.enginecore.gestiona.rolesservice.service.impl</h3><a name="mx.com.enginecore.gestiona.rolesservice.service.impl"></a>
<table border="1" class="bodyTable">
<tr class="a">
<th></th>
<th>Class</th>
<th>Tests</th>
<th>Errors</th>
<th>Failures</th>
<th>Skipped</th>
<th>Success Rate</th>
<th>Time</th></tr>
<tr class="b">
<td align="left"><a href="#mx.com.enginecore.gestiona.rolesservice.service.impl.RolServiceImplTest"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></a></td>
<td align="left"><a href="#mx.com.enginecore.gestiona.rolesservice.service.impl.RolServiceImplTest">RolServiceImplTest</a></td>
<td align="left">8</td>
<td align="left">0</td>
<td align="left">0</td>
<td align="left">0</td>
<td align="left">100%</td>
<td align="left">0.558</td></tr></table></section><section>
<h3><a name="mx.com.enginecore.gestiona.rolesservice"></a>mx.com.enginecore.gestiona.rolesservice</h3><a name="mx.com.enginecore.gestiona.rolesservice"></a>
<table border="1" class="bodyTable">
<tr class="a">
<th></th>
<th>Class</th>
<th>Tests</th>
<th>Errors</th>
<th>Failures</th>
<th>Skipped</th>
<th>Success Rate</th>
<th>Time</th></tr>
<tr class="b">
<td align="left"><a href="#mx.com.enginecore.gestiona.rolesservice.RolesServiceApplicationTests"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></a></td>
<td align="left"><a href="#mx.com.enginecore.gestiona.rolesservice.RolesServiceApplicationTests">RolesServiceApplicationTests</a></td>
<td align="left">1</td>
<td align="left">0</td>
<td align="left">0</td>
<td align="left">0</td>
<td align="left">100%</td>
<td align="left">3.531</td></tr></table></section><br /></section><section>
<h2><a name="Test_Cases"></a>Test Cases</h2><a name="Test_Cases"></a>
<p>[<a href="#Summary">Summary</a>] [<a href="#Package_List">Package List</a>] [<a href="#Test_Cases">Test Cases</a>]</p><section>
<h3><a name="RolesServiceApplicationTests"></a>RolesServiceApplicationTests</h3><a name="mx.com.enginecore.gestiona.rolesservice.RolesServiceApplicationTests"></a>
<table border="1" class="bodyTable">
<tr class="a">
<td align="left"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></td>
<td align="left"><a name="TC_mx.com.enginecore.gestiona.rolesservice.RolesServiceApplicationTests.contextLoads"></a>contextLoads</td>
<td align="left">0.004</td></tr></table></section><section>
<h3><a name="RolControllerTest"></a>RolControllerTest</h3><a name="mx.com.enginecore.gestiona.rolesservice.controller.RolControllerTest"></a>
<table border="1" class="bodyTable">
<tr class="a">
<td align="left"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></td>
<td align="left"><a name="TC_mx.com.enginecore.gestiona.rolesservice.controller.RolControllerTest.obtenerRolExistentePorId"></a>obtenerRolExistentePorId</td>
<td align="left">0.127</td></tr>
<tr class="b">
<td align="left"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></td>
<td align="left"><a name="TC_mx.com.enginecore.gestiona.rolesservice.controller.RolControllerTest.actualizarRolExistente"></a>actualizarRolExistente</td>
<td align="left">0.05</td></tr>
<tr class="a">
<td align="left"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></td>
<td align="left"><a name="TC_mx.com.enginecore.gestiona.rolesservice.controller.RolControllerTest.obtenerRoles"></a>obtenerRoles</td>
<td align="left">0.008</td></tr>
<tr class="b">
<td align="left"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></td>
<td align="left"><a name="TC_mx.com.enginecore.gestiona.rolesservice.controller.RolControllerTest.eliminarRolInexistente"></a>eliminarRolInexistente</td>
<td align="left">0.008</td></tr>
<tr class="a">
<td align="left"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></td>
<td align="left"><a name="TC_mx.com.enginecore.gestiona.rolesservice.controller.RolControllerTest.actualizarRolInexistente"></a>actualizarRolInexistente</td>
<td align="left">0.012</td></tr>
<tr class="b">
<td align="left"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></td>
<td align="left"><a name="TC_mx.com.enginecore.gestiona.rolesservice.controller.RolControllerTest.eliminarRolExistente"></a>eliminarRolExistente</td>
<td align="left">0.009</td></tr>
<tr class="a">
<td align="left"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></td>
<td align="left"><a name="TC_mx.com.enginecore.gestiona.rolesservice.controller.RolControllerTest.obtenerRolInexistentePorId"></a>obtenerRolInexistentePorId</td>
<td align="left">0.009</td></tr>
<tr class="b">
<td align="left"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></td>
<td align="left"><a name="TC_mx.com.enginecore.gestiona.rolesservice.controller.RolControllerTest.crearRol"></a>crearRol</td>
<td align="left">0.015</td></tr></table></section><section>
<h3><a name="RolServiceImplTest"></a>RolServiceImplTest</h3><a name="mx.com.enginecore.gestiona.rolesservice.service.impl.RolServiceImplTest"></a>
<table border="1" class="bodyTable">
<tr class="a">
<td align="left"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></td>
<td align="left"><a name="TC_mx.com.enginecore.gestiona.rolesservice.service.impl.RolServiceImplTest.obtenerRolExistentePorId"></a>obtenerRolExistentePorId</td>
<td align="left">0.056</td></tr>
<tr class="b">
<td align="left"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></td>
<td align="left"><a name="TC_mx.com.enginecore.gestiona.rolesservice.service.impl.RolServiceImplTest.actualizarRolExistente"></a>actualizarRolExistente</td>
<td align="left">0.002</td></tr>
<tr class="a">
<td align="left"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></td>
<td align="left"><a name="TC_mx.com.enginecore.gestiona.rolesservice.service.impl.RolServiceImplTest.obtenerRoles"></a>obtenerRoles</td>
<td align="left">0.001</td></tr>
<tr class="b">
<td align="left"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></td>
<td align="left"><a name="TC_mx.com.enginecore.gestiona.rolesservice.service.impl.RolServiceImplTest.actualizarRolInexistente"></a>actualizarRolInexistente</td>
<td align="left">0.003</td></tr>
<tr class="a">
<td align="left"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></td>
<td align="left"><a name="TC_mx.com.enginecore.gestiona.rolesservice.service.impl.RolServiceImplTest.obtenerRolInexistentePorId"></a>obtenerRolInexistentePorId</td>
<td align="left">0.002</td></tr>
<tr class="b">
<td align="left"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></td>
<td align="left"><a name="TC_mx.com.enginecore.gestiona.rolesservice.service.impl.RolServiceImplTest.eliminarRolPorIdExistente"></a>eliminarRolPorIdExistente</td>
<td align="left">0.018</td></tr>
<tr class="a">
<td align="left"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></td>
<td align="left"><a name="TC_mx.com.enginecore.gestiona.rolesservice.service.impl.RolServiceImplTest.eliminarRolPorIdInexistente"></a>eliminarRolPorIdInexistente</td>
<td align="left">0.001</td></tr>
<tr class="b">
<td align="left"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></td>
<td align="left"><a name="TC_mx.com.enginecore.gestiona.rolesservice.service.impl.RolServiceImplTest.crearRol"></a>crearRol</td>
<td align="left">0.004</td></tr></table></section><br /></section>
      </div>
    </div>
    <div class="clear">
      <hr/>
    </div>
    <div id="footer">
      <div class="xright">
        Copyright &#169;      2022..      </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
  </body>
</html>
